<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:55 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ParameterInput (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ParameterInput (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ParameterInput.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/main/WinType.html" title="enum in towerwarspp.main"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/main/ParameterInput.html" target="_top">Frames</a></li>
<li><a href="ParameterInput.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.main</div>
<h2 title="Class ParameterInput" class="title">Class ParameterInput</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.main.ParameterInput</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ParameterInput</span>
extends java.lang.Object</pre>
<div class="block">Class Parameter Input to provide a graphical option to select settings and flags for the game</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>0.3 July 16th 2017</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Niklas Mueller, Kai Kuhlmann</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#blueAdvanced1">blueAdvanced1</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#blueAdvanced2">blueAdvanced2</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#blueAdvanced3">blueAdvanced3</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#blueHostInput">blueHostInput</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#blueHostLabel">blueHostLabel</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#blueHuman">blueHuman</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#bluePortInput">bluePortInput</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#bluePortLabel">bluePortLabel</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;javax.swing.JRadioButton&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#blueRadioButtons">blueRadioButtons</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#blueRandom">blueRandom</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#blueRemote">blueRemote</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#blueSimple">blueSimple</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#blueThinkTime">blueThinkTime</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#blueThinkTimeLabel">blueThinkTimeLabel</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#done">done</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JFrame</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#frame">frame</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#graphic">graphic</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#none">none</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#redAdvanced1">redAdvanced1</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#redAdvanced2">redAdvanced2</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#redAdvanced3">redAdvanced3</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#redHostInput">redHostInput</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#redHostLabel">redHostLabel</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#redHuman">redHuman</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#redPortInput">redPortInput</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#redPortLabel">redPortLabel</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;javax.swing.JRadioButton&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#redRadioButtons">redRadioButtons</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#redRandom">redRandom</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#redRemote">redRemote</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#redSimple">redSimple</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#redThinkTime">redThinkTime</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#redThinkTimeLabel">redThinkTimeLabel</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#string">string</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JRadioButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#text">text</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#ParameterInput--">ParameterInput</a></span>()</code>
<div class="block">Consturctor of this Class which initialize all Elements which should be displayed.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#getString--">getString</a></span>()</code>
<div class="block">Returns the Arguments as an Array.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#setBluePlayerActionListener--">setBluePlayerActionListener</a></span>()</code>
<div class="block">Add the ActionListener to the bluePlayer RadioButtons.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#setRedPlayerActionListener--">setRedPlayerActionListener</a></span>()</code>
<div class="block">Add the ActionListener to the redPlayer RadioButtons.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/main/ParameterInput.html#wakeup--">wakeup</a></span>()</code>
<div class="block">Method which wakes the called Thread.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="string">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>string</h4>
<pre>private&nbsp;java.lang.String[] string</pre>
</li>
</ul>
<a name="frame">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>frame</h4>
<pre>private&nbsp;javax.swing.JFrame frame</pre>
</li>
</ul>
<a name="text">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>text</h4>
<pre>private&nbsp;javax.swing.JRadioButton text</pre>
</li>
</ul>
<a name="graphic">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>graphic</h4>
<pre>private&nbsp;javax.swing.JRadioButton graphic</pre>
</li>
</ul>
<a name="none">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>none</h4>
<pre>private&nbsp;javax.swing.JRadioButton none</pre>
</li>
</ul>
<a name="redHuman">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redHuman</h4>
<pre>private&nbsp;javax.swing.JRadioButton redHuman</pre>
</li>
</ul>
<a name="blueHuman">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>blueHuman</h4>
<pre>private&nbsp;javax.swing.JRadioButton blueHuman</pre>
</li>
</ul>
<a name="redRandom">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redRandom</h4>
<pre>private&nbsp;javax.swing.JRadioButton redRandom</pre>
</li>
</ul>
<a name="blueRandom">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>blueRandom</h4>
<pre>private&nbsp;javax.swing.JRadioButton blueRandom</pre>
</li>
</ul>
<a name="redSimple">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redSimple</h4>
<pre>private&nbsp;javax.swing.JRadioButton redSimple</pre>
</li>
</ul>
<a name="blueSimple">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>blueSimple</h4>
<pre>private&nbsp;javax.swing.JRadioButton blueSimple</pre>
</li>
</ul>
<a name="redAdvanced1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redAdvanced1</h4>
<pre>private&nbsp;javax.swing.JRadioButton redAdvanced1</pre>
</li>
</ul>
<a name="blueAdvanced1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>blueAdvanced1</h4>
<pre>private&nbsp;javax.swing.JRadioButton blueAdvanced1</pre>
</li>
</ul>
<a name="redAdvanced2">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redAdvanced2</h4>
<pre>private&nbsp;javax.swing.JRadioButton redAdvanced2</pre>
</li>
</ul>
<a name="blueAdvanced2">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>blueAdvanced2</h4>
<pre>private&nbsp;javax.swing.JRadioButton blueAdvanced2</pre>
</li>
</ul>
<a name="redAdvanced3">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redAdvanced3</h4>
<pre>private&nbsp;javax.swing.JRadioButton redAdvanced3</pre>
</li>
</ul>
<a name="blueAdvanced3">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>blueAdvanced3</h4>
<pre>private&nbsp;javax.swing.JRadioButton blueAdvanced3</pre>
</li>
</ul>
<a name="redRemote">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redRemote</h4>
<pre>private&nbsp;javax.swing.JRadioButton redRemote</pre>
</li>
</ul>
<a name="blueRemote">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>blueRemote</h4>
<pre>private&nbsp;javax.swing.JRadioButton blueRemote</pre>
</li>
</ul>
<a name="redThinkTimeLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redThinkTimeLabel</h4>
<pre>private&nbsp;javax.swing.JLabel redThinkTimeLabel</pre>
</li>
</ul>
<a name="blueThinkTimeLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>blueThinkTimeLabel</h4>
<pre>private&nbsp;javax.swing.JLabel blueThinkTimeLabel</pre>
</li>
</ul>
<a name="redHostLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redHostLabel</h4>
<pre>private&nbsp;javax.swing.JLabel redHostLabel</pre>
</li>
</ul>
<a name="redPortLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redPortLabel</h4>
<pre>private&nbsp;javax.swing.JLabel redPortLabel</pre>
</li>
</ul>
<a name="blueHostLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>blueHostLabel</h4>
<pre>private&nbsp;javax.swing.JLabel blueHostLabel</pre>
</li>
</ul>
<a name="bluePortLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bluePortLabel</h4>
<pre>private&nbsp;javax.swing.JLabel bluePortLabel</pre>
</li>
</ul>
<a name="redThinkTime">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redThinkTime</h4>
<pre>private&nbsp;javax.swing.JTextField redThinkTime</pre>
</li>
</ul>
<a name="blueThinkTime">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>blueThinkTime</h4>
<pre>private&nbsp;javax.swing.JTextField blueThinkTime</pre>
</li>
</ul>
<a name="redHostInput">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redHostInput</h4>
<pre>private&nbsp;javax.swing.JTextField redHostInput</pre>
</li>
</ul>
<a name="redPortInput">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redPortInput</h4>
<pre>private&nbsp;javax.swing.JTextField redPortInput</pre>
</li>
</ul>
<a name="blueHostInput">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>blueHostInput</h4>
<pre>private&nbsp;javax.swing.JTextField blueHostInput</pre>
</li>
</ul>
<a name="bluePortInput">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bluePortInput</h4>
<pre>private&nbsp;javax.swing.JTextField bluePortInput</pre>
</li>
</ul>
<a name="redRadioButtons">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redRadioButtons</h4>
<pre>private&nbsp;java.util.ArrayList&lt;javax.swing.JRadioButton&gt; redRadioButtons</pre>
</li>
</ul>
<a name="blueRadioButtons">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>blueRadioButtons</h4>
<pre>private&nbsp;java.util.ArrayList&lt;javax.swing.JRadioButton&gt; blueRadioButtons</pre>
</li>
</ul>
<a name="done">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>done</h4>
<pre>private&nbsp;javax.swing.JButton done</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ParameterInput--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ParameterInput</h4>
<pre>ParameterInput()</pre>
<div class="block">Consturctor of this Class which initialize all Elements which should be displayed.

 There were also added some ActionListener.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getString</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;getString()
                             throws java.lang.Exception</pre>
<div class="block">Returns the Arguments as an Array.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The Arguments</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - if Thread is interrupted</dd>
</dl>
</li>
</ul>
<a name="setRedPlayerActionListener--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRedPlayerActionListener</h4>
<pre>private&nbsp;void&nbsp;setRedPlayerActionListener()</pre>
<div class="block">Add the ActionListener to the redPlayer RadioButtons.</div>
</li>
</ul>
<a name="setBluePlayerActionListener--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBluePlayerActionListener</h4>
<pre>private&nbsp;void&nbsp;setBluePlayerActionListener()</pre>
<div class="block">Add the ActionListener to the bluePlayer RadioButtons.</div>
</li>
</ul>
<a name="wakeup--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>wakeup</h4>
<pre>private&nbsp;void&nbsp;wakeup()</pre>
<div class="block">Method which wakes the called Thread.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ParameterInput.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/main/WinType.html" title="enum in towerwarspp.main"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/main/ParameterInput.html" target="_top">Frames</a></li>
<li><a href="ParameterInput.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
